summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Alan Alberghini2013-03-12 02:13:21 +0100
committer dsomero2013-03-22 12:16:42 +0100
commite78a4c735466c143688ba4a5be63599597bb39eb (patch)
tree69ddee417e6d3c47eea0a2441944f67f0047f5c6 /office
parent9f0c656fa53132f40d6a31e675738cf412780baa (diff)
downloadslackbuilds-e78a4c735466c143688ba4a5be63599597bb39eb.tar.gz
office/briss: Added (The BRIght Snippet Sire)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/briss/README6
-rw-r--r--office/briss/briss-himem.desktop8
-rw-r--r--office/briss/briss.SlackBuild102
-rw-r--r--office/briss/briss.desktop8
-rw-r--r--office/briss/briss.info10
-rw-r--r--office/briss/briss.pngbin0 -> 1093 bytes
-rw-r--r--office/briss/doinst.sh9
-rw-r--r--office/briss/slack-desc19
8 files changed, 162 insertions, 0 deletions
diff --git a/office/briss/README b/office/briss/README
new file mode 100644
index 0000000000..a08cd64fd0
--- /dev/null
+++ b/office/briss/README
@@ -0,0 +1,6 @@
+BRISS aims to offer a simple cross-platform (Linux, Windows, Mac OSX)
+application for cropping PDF files. A simple user interface lets you define
+exactly the crop-region by fitting a rectangle on the visually overlaid pages.
+It's licensed under GPL.
+To build the package and run this program a Java runtime environment (JRE) is
+enough.
diff --git a/office/briss/briss-himem.desktop b/office/briss/briss-himem.desktop
new file mode 100644
index 0000000000..b57e5c8666
--- /dev/null
+++ b/office/briss/briss-himem.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=BRISS - High memory
+Description=The BRIght Snippet Sire
+Exec=/usr/bin/briss-himem $@
+Icon=briss
+Type=Application
+Terminal=false
+Categories=Office
diff --git a/office/briss/briss.SlackBuild b/office/briss/briss.SlackBuild
new file mode 100644
index 0000000000..d1ae79c951
--- /dev/null
+++ b/office/briss/briss.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Slackware build script for briss
+
+# Copyright (c) 2013 Alan Alberghini <414N@slacky.it>
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# -----------------------------------------------------------------------------
+#
+# Build history:
+#
+# 1 - Initial release.
+
+PRGNAM=briss
+VERSION=${VERSION:-0.9}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=noarch
+
+DOCS="*.txt"
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/opt/$PRGNAM \
+ $PKG/usr/doc/$PRGNAM-$VERSION \
+ $PKG/usr/bin \
+ $PKG/usr/share/pixmaps \
+ $PKG/usr/share/applications
+
+install -m0755 *.jar $PKG/opt/$PRGNAM
+install -m0644 $CWD/$PRGNAM.png $PKG/usr/share/pixmaps
+install -m0644 $CWD/*.desktop $PKG/usr/share/applications
+
+# Create two executable scripts under /usr/bin:
+# - a "normal" one with the name of the program
+
+cat > $PKG/usr/bin/$PRGNAM << END
+#!/bin/sh
+
+java -jar /opt/$PRGNAM/$PRGNAM-$VERSION.jar "\$@"
+
+END
+
+chmod 755 $PKG/usr/bin/$PRGNAM
+
+# - an "himem" one with appropriate flags to allocate more memory
+
+cat > $PKG/usr/bin/$PRGNAM-himem << END
+#!/bin/sh
+
+java -Xms128m -Xmx1024m -jar /opt/$PRGNAM/$PRGNAM-$VERSION.jar "\$@"
+
+END
+
+chmod 755 $PKG/usr/bin/$PRGNAM-himem
+
+cp -a \
+ $DOCS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/briss/briss.desktop b/office/briss/briss.desktop
new file mode 100644
index 0000000000..c576f3488f
--- /dev/null
+++ b/office/briss/briss.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=BRISS
+Description=The BRIght Snippet Sire
+Exec=/usr/bin/briss $@
+Icon=briss
+Type=Application
+Terminal=false
+Categories=Office
diff --git a/office/briss/briss.info b/office/briss/briss.info
new file mode 100644
index 0000000000..9fbf17a39d
--- /dev/null
+++ b/office/briss/briss.info
@@ -0,0 +1,10 @@
+PRGNAM="briss"
+VERSION="0.9"
+HOMEPAGE="http://briss.sourceforge.net/"
+DOWNLOAD="http://sourceforge.net/projects/briss/files/release%200.9/briss-0.9.tar.gz"
+MD5SUM="030380e0ca3ff05f2dff9590a2fa4ab7"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jdk"
+MAINTAINER="Alan Alberghini"
+EMAIL="414N@slacky.it"
diff --git a/office/briss/briss.png b/office/briss/briss.png
new file mode 100644
index 0000000000..43557b43d2
--- /dev/null
+++ b/office/briss/briss.png
Binary files differ
diff --git a/office/briss/doinst.sh b/office/briss/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/office/briss/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/office/briss/slack-desc b/office/briss/slack-desc
new file mode 100644
index 0000000000..97d5c1a358
--- /dev/null
+++ b/office/briss/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+briss: BRISS (The BRIght Snippet Sire)
+briss:
+briss: briss is a simple cross-platform (Linux, Windows, Mac OSX)
+briss: application for cropping PDF files. A simple user interface lets you
+briss: define exactly the crop-region by fitting a rectangle on the visually
+briss: overlaid pages.
+briss: It's licensed under GPL.
+briss:
+briss:
+briss: Homepage: http://briss.sourceforge.net/
+briss: